{
  description = "The PrivateStorage Mobile application";
  inputs = {
    mach-nix-flake = {
      flake = true;
      url = "github:DavHau/mach-nix";
      inputs = {
        pypi-deps-db.follows = "pypi-deps-db";
        nixpkgs.follows = "nixpkgs";
        flake-utils.follows = "flake-utils";
      };
    };
    nixpkgs = {
      url = "github:NixOS/nixpkgs";
    };
    flake-utils.url = "github:numtide/flake-utils";
    pypi-deps-db = {
      flake = false;
      url = "github:DavHau/pypi-deps-db";
    };
  };
  outputs = { self, nixpkgs, flake-utils, mach-nix-flake, ... }:
    flake-utils.lib.eachSystem [ "x86_64-linux" ] (system: let

      mach-nix = mach-nix-flake.lib.${system};
      pkgs = import nixpkgs { inherit system; config = { allowUnfree = true; }; };
      lib = pkgs.lib;

      kivy-env = mach-nix.mkPython {
        python = "python39";
        requirements = ''
          kivy
          Pillow
	        buildozer
          cython
          python-for-android
        '';
      };

    in {
      devShells.default = pkgs.mkShell {
        name = "ps-mobile";
        version = "2022.10.21";

        buildInputs = with pkgs; [
          android-studio
          android-tools
          androidndkPkgs_23b.binaries
          androidndkPkgs_23b.binutils
          androidndkPkgs_23b.libraries
          kivy-env
        ];
      };
    });
}
